Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PreCompoundFragmentVector.hh,v 1.4 2008/09/22 10:18:36 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4PreCompoundFragmentVector.hh,v 1.6 2009/02/10 16:01:37 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear Preequilibrium
@@ -39,8 +39,5 @@
 #define G4PreCompoundFragmentVector_h 1
 
-
 #include "G4VPreCompoundFragment.hh"
-
-
 
 class G4PreCompoundFragmentVector 
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.icc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.icc	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.icc	(revision 1055)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundFragmentVector.icc,v 1.4 2008/09/22 10:18:36 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear Preequilibrium
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.hh	(revision 1055)
@@ -24,6 +24,10 @@
 // ********************************************************************
 //
-//J. M. Quesada (August 2008).  
-//Based  on previous work by V. Lara
+//
+// $Id: G4VPreCompoundFragment.hh,v 1.10 2009/02/10 16:01:37 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+//
+// J. M. Quesada (August 2008).  
+// Based  on previous work by V. Lara
 //
 // Modif (03 September 2008) by J. M. Quesada for external choice of inverse 
@@ -31,5 +35,4 @@
 // JMQ (06 September 2008) Also external choice has been added for:
 //                      - superimposed Coulomb barrier (if useSICB=true) 
-
 
 #ifndef G4VPreCompoundFragment_h
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.icc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.icc	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.icc	(revision 1055)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPreCompoundFragment.icc,v 1.7 2008/09/22 10:18:36 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc	(revision 1055)
@@ -24,27 +24,39 @@
 // ********************************************************************
 //
-//J.M.Quesada (August 08). New source file
-// 
-// Modif (21 August 2008) by J. M. Quesada for external choice of inverse 
-// cross section option
+//
+// $Id: G4PreCompoundAlpha.cc,v 1.5 2009/02/13 18:57:32 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+//
+// -------------------------------------------------------------------
+//
+// GEANT4 Class file
+//
+//
+// File name:     G4PreCompoundAlpha
+//
+// Author:         V.Lara
+//
+// Modified:  
+// 21.08.2008 J. M. Quesada add choice of options  
+// 10.02.2009 J. M. Quesada set default opt1  
+//
 
 #include "G4PreCompoundAlpha.hh"
 
-  G4ReactionProduct * G4PreCompoundAlpha::GetReactionProduct() const
-  {
-    G4ReactionProduct * theReactionProduct =
-      new G4ReactionProduct(G4Alpha::AlphaDefinition());
-    theReactionProduct->SetMomentum(GetMomentum().vect());
-    theReactionProduct->SetTotalEnergy(GetMomentum().e());
+G4ReactionProduct * G4PreCompoundAlpha::GetReactionProduct() const
+{
+  G4ReactionProduct * theReactionProduct =
+    new G4ReactionProduct(G4Alpha::AlphaDefinition());
+  theReactionProduct->SetMomentum(GetMomentum().vect());
+  theReactionProduct->SetTotalEnergy(GetMomentum().e());
 #ifdef PRECOMPOUND_TEST
-    theReactionProduct->SetCreatorModel("G4PrecompoundModel");
+  theReactionProduct->SetCreatorModel("G4PrecompoundModel");
 #endif
-    return theReactionProduct;
-  }   
-
-
-   G4double G4PreCompoundAlpha::FactorialFactor(const G4double N, const G4double P)
-  {
-     return 
+  return theReactionProduct;
+}   
+
+G4double G4PreCompoundAlpha::FactorialFactor(const G4double N, const G4double P)
+{
+  return 
       (N-4.0)*(P-3.0)*(
 		       (((N-3.0)*(P-2.0))/2.0) *(
@@ -54,23 +66,21 @@
 						 )
 		       );
+}
+  
+G4double G4PreCompoundAlpha::CoalescenceFactor(const G4double A)
+{
+  return 4096.0/(A*A*A);  
+}    
+
+G4double G4PreCompoundAlpha::GetRj(const G4int NumberParticles, const G4int NumberCharged)
+{
+  G4double rj = 0.0;
+  G4double denominator = NumberParticles*(NumberParticles-1)*(NumberParticles-2)*(NumberParticles-3);
+  if(NumberCharged >=2 && (NumberParticles-NumberCharged) >=2 ) {
+    rj = 6.0*static_cast<G4double>(NumberCharged*(NumberCharged-1)*(NumberParticles-NumberCharged)*
+				   (NumberParticles-NumberCharged-1))/static_cast<G4double>(denominator);  
   }
-  
-   G4double G4PreCompoundAlpha::CoalescenceFactor(const G4double A)
-  {
-     return 4096.0/(A*A*A);  
-  }    
-
-
-
-   G4double G4PreCompoundAlpha::GetRj(const G4int NumberParticles, const G4int NumberCharged)
-  {
-    G4double rj = 0.0;
-    G4double denominator = NumberParticles*(NumberParticles-1)*(NumberParticles-2)*(NumberParticles-3);
-    if(NumberCharged >=2 && (NumberParticles-NumberCharged) >=2 ) rj = 6.0*static_cast<G4double>(NumberCharged*(NumberCharged-1)*(NumberParticles-NumberCharged)*(NumberParticles-NumberCharged-1))/static_cast<G4double>(denominator);  
- return rj;
-  }
-
-
-
+  return rj;
+}
 
 ////////////////////////////////////////////////////////////////////////////////////
@@ -80,5 +90,5 @@
 //OPT=3,4 Kalbach's parameterization 
 // 
- G4double G4PreCompoundAlpha::CrossSection(const  G4double K)
+G4double G4PreCompoundAlpha::CrossSection(const  G4double K)
 {
 
@@ -115,33 +125,33 @@
 //----------------
 //
- G4double G4PreCompoundAlpha::GetAlpha()
-  {
- G4double C = 0.0;
-    G4double aZ = GetZ() + GetRestZ();
-    if (aZ <= 30) 
-      {
-	C = 0.10;
-      } 
-    else if (aZ <= 50) 
-      {
-	C = 0.1 + -((aZ-50.)/20.)*0.02;
-      } 
-    else if (aZ < 70) 
-      {
-	C = 0.08 + -((aZ-70.)/20.)*0.02;
-      }
-    else 
-      {
-	C = 0.06;
-      }
-    return 1.0+C;
-  }
+G4double G4PreCompoundAlpha::GetAlpha()
+{
+  G4double C = 0.0;
+  G4double aZ = GetZ() + GetRestZ();
+  if (aZ <= 30) 
+    {
+      C = 0.10;
+    } 
+  else if (aZ <= 50) 
+    {
+      C = 0.1 + -((aZ-50.)/20.)*0.02;
+    } 
+  else if (aZ < 70) 
+    {
+      C = 0.08 + -((aZ-70.)/20.)*0.02;
+    }
+  else 
+    {
+      C = 0.06;
+    }
+  return 1.0+C;
+}
 //
 //--------------------
 // 
-  G4double G4PreCompoundAlpha::GetBeta() 
-  {
-      return -GetCoulombBarrier();
-  }
+G4double G4PreCompoundAlpha::GetBeta() 
+{
+  return -GetCoulombBarrier();
+}
 //
 //********************* OPT=1,2 : Chatterjee's cross section ************************ 
@@ -153,5 +163,5 @@
   G4double Kc=K;
 
-  // JMQ xsec is set constat above limit of validity
+  // JMQ xsec is set constant above limit of validity
   if (K>50) Kc=50;
 
@@ -213,5 +223,7 @@
   G4double      ra=1.20;
         
-  ec = 1.44 * theZ * ResidualZ / (1.5*ResidualAthrd+ra);
+  //JMQ 13/02/09 increase of reduced radius to lower the barrier
+  // ec = 1.44 * theZ * ResidualZ / (1.5*ResidualAthrd+ra);
+  ec = 1.44 * theZ * ResidualZ / (1.7*ResidualAthrd+ra);
   ecsq = ec * ec;
   p = p0 + p1/ec + p2/ecsq;
@@ -236,5 +248,5 @@
   
   if (elab <= ec) { //start for E<Ec
-    if (elab > ecut2)  sig = (p*elab*elab+a*elab+b) * signor;    
+    if (elab > ecut2)  sig = (p*elab*elab+a*elab+b) * signor;
   }           //end for E<Ec
   else {           //start for E>Ec
@@ -252,6 +264,2 @@
 
 //   ************************** end of cross sections ******************************* 
-
-
-
-
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc	(revision 1055)
@@ -24,44 +24,56 @@
 // ********************************************************************
 //
-//J.M.Quesada (August 08). New source file
-// 
-// Modif (21 August 2008) by J. M. Quesada for external choice of inverse 
-// cross section option
+// $Id: G4PreCompoundDeuteron.cc,v 1.5 2009/02/13 18:57:32 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+//
+// -------------------------------------------------------------------
+//
+// GEANT4 Class file
+//
+//
+// File name:     G4PreCompoundDeuteron
+//
+// Author:         V.Lara
+//
+// Modified:  
+// 21.08.2008 J. M. Quesada add choice of options  
+// 10.02.2009 J. M. Quesada set default opt1  
+//
 
 #include "G4PreCompoundDeuteron.hh"
 
-
-
-  G4ReactionProduct * G4PreCompoundDeuteron::GetReactionProduct() const
-  {
-    G4ReactionProduct * theReactionProduct =
-      new G4ReactionProduct(G4Deuteron::DeuteronDefinition());
-    theReactionProduct->SetMomentum(GetMomentum().vect());
-    theReactionProduct->SetTotalEnergy(GetMomentum().e());
+G4ReactionProduct * G4PreCompoundDeuteron::GetReactionProduct() const
+{
+  G4ReactionProduct * theReactionProduct =
+    new G4ReactionProduct(G4Deuteron::DeuteronDefinition());
+  theReactionProduct->SetMomentum(GetMomentum().vect());
+  theReactionProduct->SetTotalEnergy(GetMomentum().e());
 #ifdef PRECOMPOUND_TEST
-    theReactionProduct->SetCreatorModel("G4PrecompoundModel");
+  theReactionProduct->SetCreatorModel("G4PrecompoundModel");
 #endif
-    return theReactionProduct;
-  }   
-
- 
-   G4double G4PreCompoundDeuteron::FactorialFactor(const G4double N, const G4double P)
-  {
-      return (N-1.0)*(N-2.0)*(P-1.0)*P/2.0;
+  return theReactionProduct;
+}   
+
+ 
+G4double G4PreCompoundDeuteron::FactorialFactor(const G4double N, const G4double P)
+{
+  return (N-1.0)*(N-2.0)*(P-1.0)*P/2.0;
+}
+  
+G4double G4PreCompoundDeuteron::CoalescenceFactor(const G4double A)
+{
+  return 16.0/A;
+}    
+
+G4double G4PreCompoundDeuteron::GetRj(const G4int NumberParticles, const G4int NumberCharged)
+{
+  G4double rj = 0.0;
+  G4double denominator = NumberParticles*(NumberParticles-1);
+  if(NumberCharged >=1 && (NumberParticles-NumberCharged) >=1) {
+    rj = 2.0*static_cast<G4double>(NumberCharged*(NumberParticles-NumberCharged))
+      / static_cast<G4double>(denominator); 
   }
-  
-   G4double G4PreCompoundDeuteron::CoalescenceFactor(const G4double A)
-  {
-    return 16.0/A;
-  }    
-
-  G4double G4PreCompoundDeuteron::GetRj(const G4int NumberParticles, const G4int NumberCharged)
-  {
-    G4double rj = 0.0;
-    G4double denominator = NumberParticles*(NumberParticles-1);
-   if(NumberCharged >=1 && (NumberParticles-NumberCharged) >=1) rj = 2.0*static_cast<G4double>(NumberCharged*(NumberParticles-NumberCharged))/static_cast<G4double>(denominator); 
-
-    return rj;
-  }
+  return rj;
+}
 
 ////////////////////////////////////////////////////////////////////////////////////
@@ -71,5 +83,5 @@
 //OPT=3,4 Kalbach's parameterization 
 // 
- G4double G4PreCompoundDeuteron::CrossSection(const  G4double K)
+G4double G4PreCompoundDeuteron::CrossSection(const  G4double K)
 {
 
@@ -106,25 +118,25 @@
 //---------
 //
- G4double G4PreCompoundDeuteron::GetAlpha()
-  {
-G4double C = 0.0;
-    G4double aZ = GetZ() + GetRestZ();
-    if (aZ >= 70) 
-      {
-	C = 0.10;
-      } 
-    else 
-      {
-	C = ((((0.15417e-06*aZ) - 0.29875e-04)*aZ + 0.21071e-02)*aZ - 0.66612e-01)*aZ + 0.98375; 
-      }
-    return 1.0 + C/2.0;
-  }
+G4double G4PreCompoundDeuteron::GetAlpha()
+{
+  G4double C = 0.0;
+  G4double aZ = GetZ() + GetRestZ();
+  if (aZ >= 70) 
+    {
+      C = 0.10;
+    } 
+  else 
+    {
+      C = ((((0.15417e-06*aZ) - 0.29875e-04)*aZ + 0.21071e-02)*aZ - 0.66612e-01)*aZ + 0.98375; 
+    }
+  return 1.0 + C/2.0;
+}
 //
 //---------
 //
-  G4double G4PreCompoundDeuteron::GetBeta() 
-  {
-      return -GetCoulombBarrier();
-  }
+G4double G4PreCompoundDeuteron::GetBeta() 
+{
+  return -GetCoulombBarrier();
+}
 //
 //********************* OPT=1,2 : Chatterjee's cross section ************************ 
@@ -140,5 +152,5 @@
 
   G4double landa ,mu ,nu ,p , Ec,q,r,ji,xs;
-//G4double Eo(0),epsilon1(0),epsilon2(0),discri(0);
+  //G4double Eo(0),epsilon1(0),epsilon2(0),discri(0);
 
  
@@ -174,7 +186,4 @@
 }
 
-
-
-
 // *********** OPT=3,4 : Kalbach's cross sections (from PRECO code)*************
 G4double G4PreCompoundDeuteron::GetOpt34(const  G4double K)
@@ -205,5 +214,7 @@
   G4double     ra=0.80;
         
-  ec = 1.44 * theZ * ResidualZ / (1.5*ResidualAthrd+ra);
+  //JMQ 13/02/09 increase of reduced radius to lower the barrier
+  // ec = 1.44 * theZ * ResidualZ / (1.5*ResidualAthrd+ra);
+  ec = 1.44 * theZ * ResidualZ / (1.7*ResidualAthrd+ra);
   ecsq = ec * ec;
   p = p0 + p1/ec + p2/ecsq;
@@ -226,7 +237,7 @@
   elab = K * FragmentA / ResidualA;
   sig = 0.;
- 
+
   if (elab <= ec) { //start for E<Ec
-    if (elab > ecut2)  sig = (p*elab*elab+a*elab+b) * signor;    
+    if (elab > ecut2)  sig = (p*elab*elab+a*elab+b) * signor;
   }           //end for E<Ec
   else {           //start for E>Ec
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc	(revision 1055)
@@ -25,7 +25,18 @@
 //
 //
-// Hadronic Process: Nuclear Preequilibrium
-// by V. Lara 
-
+// $Id: G4PreCompoundEmission.cc,v 1.19 2009/02/10 16:01:37 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+//
+// -------------------------------------------------------------------
+//
+// GEANT4 Class file
+//
+//
+// File name:     G4PreCompoundEmission
+//
+// Author:         V.Lara
+//
+// Modified:  
+//
 
 #include "G4PreCompoundEmission.hh"
@@ -42,10 +53,10 @@
 
 
-  G4bool G4PreCompoundEmission::operator==(const G4PreCompoundEmission &) const
+G4bool G4PreCompoundEmission::operator==(const G4PreCompoundEmission &) const
 {
   return false;
 }
 
-    G4bool G4PreCompoundEmission::operator!=(const G4PreCompoundEmission &) const
+G4bool G4PreCompoundEmission::operator!=(const G4PreCompoundEmission &) const
 {
   return true;
@@ -95,6 +106,4 @@
   return;
 }
-
-
 
 G4ReactionProduct * G4PreCompoundEmission::PerformEmission(G4Fragment & aFragment)
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc	(revision 1055)
@@ -24,6 +24,9 @@
 // ********************************************************************
 //
-//J. M. Quesada (August 2008).  
-//Based  on previous work by V. Lara
+// $Id: G4PreCompoundFragment.cc,v 1.8 2009/02/10 16:01:37 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+//
+// J. M. Quesada (August 2008).  
+// Based  on previous work by V. Lara
 // JMQ (06 September 2008) Also external choice has been added for:
 //                      - superimposed Coulomb barrier (if useSICB=true) 
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc	(revision 1055)
@@ -24,7 +24,6 @@
 // ********************************************************************
 //
-//
-// $Id: G4PreCompoundFragmentVector.cc,v 1.7 2008/05/08 10:36:03 quesada Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4PreCompoundFragmentVector.cc,v 1.11 2009/02/10 16:01:37 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear Preequilibrium
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc	(revision 1055)
@@ -24,28 +24,39 @@
 // ********************************************************************
 //
-//J.M.Quesada (August 08). New source file
-// 
-// Modif (21 August 2008) by J. M. Quesada for external choice of inverse 
-// cross section option
+//
+// $Id: G4PreCompoundHe3.cc,v 1.5 2009/02/13 18:57:32 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+//
+// -------------------------------------------------------------------
+//
+// GEANT4 Class file
+//
+//
+// File name:     G4PreCompoundHe3
+//
+// Author:         V.Lara
+//
+// Modified:  
+// 21.08.2008 J. M. Quesada add choice of options  
+// 10.02.2009 J. M. Quesada set default opt1  
+//
  
 #include "G4PreCompoundHe3.hh"
 
-
-  G4ReactionProduct * G4PreCompoundHe3::GetReactionProduct() const
-  {
-    G4ReactionProduct * theReactionProduct =
-      new G4ReactionProduct(G4He3::He3Definition());
-    theReactionProduct->SetMomentum(GetMomentum().vect());
-    theReactionProduct->SetTotalEnergy(GetMomentum().e());
+G4ReactionProduct * G4PreCompoundHe3::GetReactionProduct() const
+{
+  G4ReactionProduct * theReactionProduct =
+    new G4ReactionProduct(G4He3::He3Definition());
+  theReactionProduct->SetMomentum(GetMomentum().vect());
+  theReactionProduct->SetTotalEnergy(GetMomentum().e());
 #ifdef PRECOMPOUND_TEST
-    theReactionProduct->SetCreatorModel("G4PrecompoundModel");
+  theReactionProduct->SetCreatorModel("G4PrecompoundModel");
 #endif
-    return theReactionProduct;
-  }   
-
-
-   G4double G4PreCompoundHe3::FactorialFactor(const G4double N, const G4double P)
-  {
-     return 
+  return theReactionProduct;
+}   
+
+G4double G4PreCompoundHe3::FactorialFactor(const G4double N, const G4double P)
+{
+  return 
       (N-3.0)*(P-2.0)*(
 		       (((N-2.0)*(P-1.0))/2.0) *(
@@ -53,24 +64,21 @@
 						 )
 		       );
+}
+  
+G4double G4PreCompoundHe3::CoalescenceFactor(const G4double A)
+{
+  return 243.0/(A*A);
+}    
+
+G4double G4PreCompoundHe3::GetRj(const G4int NumberParticles, const G4int NumberCharged)
+{
+  G4double rj = 0.0;
+  G4double denominator = NumberParticles*(NumberParticles-1)*(NumberParticles-2);
+  if(NumberCharged >=2 && (NumberParticles-NumberCharged) >= 1) {
+    rj = 3.0*static_cast<G4double>(NumberCharged*(NumberCharged-1)*(NumberParticles-NumberCharged))
+      / static_cast<G4double>(denominator);  
   }
-  
-  G4double G4PreCompoundHe3::CoalescenceFactor(const G4double A)
-  {
-         return 243.0/(A*A);
-  }    
-
-
-
-  G4double G4PreCompoundHe3::GetRj(const G4int NumberParticles, const G4int NumberCharged)
-  {
-    G4double rj = 0.0;
-    G4double denominator = NumberParticles*(NumberParticles-1)*(NumberParticles-2);
-    if(NumberCharged >=2 && (NumberParticles-NumberCharged) >= 1) rj = 3.0*static_cast<G4double>(NumberCharged*(NumberCharged-1)*(NumberParticles-NumberCharged))/static_cast<G4double>(denominator);  
-    
-    return rj;
-  }
-
-
-
+  return rj;
+}
 
 ////////////////////////////////////////////////////////////////////////////////////
@@ -80,5 +88,5 @@
 //OPT=3,4 Kalbach's parameterization 
 // 
- G4double G4PreCompoundHe3::CrossSection(const  G4double K)
+G4double G4PreCompoundHe3::CrossSection(const  G4double K)
 {
   ResidualA=GetRestA();
@@ -114,33 +122,33 @@
 //----------------
 //
-  G4double G4PreCompoundHe3::GetAlpha()
-  {
-    G4double C = 0.0;
-    G4double aZ = GetZ() + GetRestZ();
-    if (aZ <= 30) 
-      {
-	C = 0.10;
-      }
-    else if (aZ <= 50) 
-      {
-	C = 0.1 + -((aZ-50.)/20.)*0.02;
-      } 
-    else if (aZ < 70) 
-      {
-	C = 0.08 + -((aZ-70.)/20.)*0.02;
-      }
-    else 
-      {
-	C = 0.06;
-      }
-    return 1.0 + C*(4.0/3.0);
-  }
+G4double G4PreCompoundHe3::GetAlpha()
+{
+  G4double C = 0.0;
+  G4double aZ = GetZ() + GetRestZ();
+  if (aZ <= 30) 
+    {
+      C = 0.10;
+    }
+  else if (aZ <= 50) 
+    {
+      C = 0.1 + -((aZ-50.)/20.)*0.02;
+    } 
+  else if (aZ < 70) 
+    {
+      C = 0.08 + -((aZ-70.)/20.)*0.02;
+    }
+  else 
+    {
+      C = 0.06;
+    }
+  return 1.0 + C*(4.0/3.0);
+}
 //
 //--------------------
 // 
-   G4double G4PreCompoundHe3::GetBeta() 
-  {
-      return -GetCoulombBarrier();
-  }
+G4double G4PreCompoundHe3::GetBeta() 
+{
+  return -GetCoulombBarrier();
+}
 //
 //********************* OPT=1,2 : Chatterjee's cross section ************************ 
@@ -214,5 +222,7 @@
   G4double      ra=0.80;
         
-  ec = 1.44 * theZ * ResidualZ / (1.5*ResidualAthrd+ra);
+  //JMQ 13/02/09 increase of reduced radius to lower the barrier
+  // ec = 1.44 * theZ * ResidualZ / (1.5*ResidualAthrd+ra);
+  ec = 1.44 * theZ * ResidualZ / (1.7*ResidualAthrd+ra);
   ecsq = ec * ec;
   p = p0 + p1/ec + p2/ecsq;
@@ -237,5 +247,5 @@
   
   if (elab <= ec) { //start for E<Ec
-    if (elab > ecut2)  sig = (p*elab*elab+a*elab+b) * signor;    
+    if (elab > ecut2)  sig = (p*elab*elab+a*elab+b) * signor;
   }           //end for E<Ec
   else {           //start for E>Ec
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc	(revision 1055)
@@ -24,6 +24,18 @@
 // ********************************************************************
 //
-//J. M. Quesada (August 2008).  
-//Based  on previous work by V. Lara
+// $Id: G4PreCompoundIon.cc,v 1.16 2009/02/10 16:01:37 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+//
+// -------------------------------------------------------------------
+//
+// GEANT4 Class file
+//
+//
+// File name:     G4PreCompoundIon
+//
+// Author:         V.Lara
+//
+// Modified:  
+// 10.02.2009 J. M. Quesada fixed bug in density level of light fragments  
 //
 
@@ -31,10 +43,10 @@
 #include "G4PreCompoundParameters.hh"
 
- G4bool G4PreCompoundIon::IsItPossible(const G4Fragment& aFragment) 
-  {
-    G4int pplus = aFragment.GetNumberOfCharged();   
-    G4int pneut = aFragment.GetNumberOfParticles()-pplus;
-    return (pneut >= (GetA()-GetZ()) && pplus >= GetZ());
-  }
+G4bool G4PreCompoundIon::IsItPossible(const G4Fragment& aFragment) 
+{
+  G4int pplus = aFragment.GetNumberOfCharged();   
+  G4int pneut = aFragment.GetNumberOfParticles()-pplus;
+  return (pneut >= (GetA()-GetZ()) && pplus >= GetZ());
+}
 
 G4double G4PreCompoundIon::
@@ -57,6 +69,9 @@
     G4PreCompoundParameters::GetAddress()->GetLevelDensity();
 
-  G4double gj = (6.0/pi2)*GetA() *
-    G4PreCompoundParameters::GetAddress()->GetLevelDensity();
+  //JMQ 06/02/209  This is  THE BUG that was killing cluster emission
+  // G4double gj = (6.0/pi2)*GetA() *
+  //   G4PreCompoundParameters::GetAddress()->GetLevelDensity();
+
+  G4double gj = g1;
 
   G4double A0 = ((P*P+H*H+P-H)/4.0 - H/2.0)/g0; 
@@ -74,7 +89,10 @@
   G4double Ej = std::max(0.0,eKin + GetBindingEnergy() -Aj); 
 
-
- G4double pA = 1.e-25*(3.0/4.0) * std::sqrt(std::max(0.0, 2.0/(GetReducedMass()*
-(eKin+GetBindingEnergy()))))/(pi * r0 * r0 * std::pow(GetRestA(),2.0/3.0) )* eKin*CrossSection(eKin) /(r0*std::pow(GetRestA(),1.0/3.0)) * CoalescenceFactor(aFragment.GetA()) * FactorialFactor(N,P)* GetRj(aFragment.GetNumberOfParticles(), aFragment.GetNumberOfCharged())  ;
+  // JMQ 10/02/09 reshaping of the formula (unnecessary std::pow elimitated)
+  G4double pA = (3.0/4.0) * std::sqrt(std::max(0.0, 2.0/(GetReducedMass()*
+		(eKin+GetBindingEnergy()))))/(pi * r0 * r0 *r0* GetRestA())* 
+                eKin*CrossSection(eKin)*millibarn* 
+                CoalescenceFactor(aFragment.GetA()) * FactorialFactor(N,P)* 
+                GetRj(aFragment.GetNumberOfParticles(), aFragment.GetNumberOfCharged());
 
   G4double pB = std::pow((g1*E1)/(g0*E0),N-GetA()-1.0)*(g1/g0);
@@ -82,13 +100,6 @@
   G4double pC = std::pow((gj*Ej)/(g0*E0),GetA()-1.0)*(gj/g0)/E0; 
 
-
   G4double Probability = pA * pB * pC;
 
   return Probability;
 }
-
-
-
-
-
-
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc	(revision 1055)
@@ -24,31 +24,43 @@
 // ********************************************************************
 //
-//J. M. Quesada (August 2008). New source file
-//
-// Modif (21 August 2008) by J. M. Quesada for external choice of inverse 
-// cross section option
+//
+// $Id: G4PreCompoundNeutron.cc,v 1.4 2009/02/11 18:06:00 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+//
+// -------------------------------------------------------------------
+//
+// GEANT4 Class file
+//
+//
+// File name:     G4PreCompoundNeutron
+//
+// Author:         V.Lara
+//
+// Modified:  
+// 21.08.2008 J. M. Quesada add choice of options  
+// 10.02.2009 J. M. Quesada set default opt3
 // 
+
 #include "G4PreCompoundNeutron.hh"
 
-
-  G4ReactionProduct * G4PreCompoundNeutron::GetReactionProduct() const
-  {
-    G4ReactionProduct * theReactionProduct = 
-      new G4ReactionProduct(G4Neutron::NeutronDefinition());
-    theReactionProduct->SetMomentum(GetMomentum().vect());
-    theReactionProduct->SetTotalEnergy(GetMomentum().e());
+G4ReactionProduct * G4PreCompoundNeutron::GetReactionProduct() const
+{
+  G4ReactionProduct * theReactionProduct = 
+    new G4ReactionProduct(G4Neutron::NeutronDefinition());
+  theReactionProduct->SetMomentum(GetMomentum().vect());
+  theReactionProduct->SetTotalEnergy(GetMomentum().e());
 #ifdef PRECOMPOUND_TEST
-    theReactionProduct->SetCreatorModel("G4PrecompoundModel");
+  theReactionProduct->SetCreatorModel("G4PrecompoundModel");
 #endif
-    return theReactionProduct;
-  }
-
-
-   G4double G4PreCompoundNeutron::GetRj(const G4int NumberParticles, const G4int NumberCharged)
-  {
-    G4double rj = 0.0;
-    if(NumberParticles > 0) rj = static_cast<G4double>(NumberParticles - NumberCharged)/static_cast<G4double>(NumberParticles);
-    return rj;
-  }
+  return theReactionProduct;
+}
+
+G4double G4PreCompoundNeutron::GetRj(const G4int NumberParticles, const G4int NumberCharged)
+{
+  G4double rj = 0.0;
+  if(NumberParticles > 0) rj = static_cast<G4double>(NumberParticles - NumberCharged)/
+			    static_cast<G4double>(NumberParticles);
+  return rj;
+}
 
 ////////////////////////////////////////////////////////////////////////////////////
@@ -58,5 +70,5 @@
 //OPT=3,4 Kalbach's parameterization 
 // 
- G4double G4PreCompoundNeutron::CrossSection(const  G4double K)
+G4double G4PreCompoundNeutron::CrossSection(const  G4double K)
 {
   ResidualA=GetRestA();
@@ -92,21 +104,18 @@
 //-------
 //
-  G4double G4PreCompoundNeutron::GetAlpha()
-  {
- //   return 0.76+2.2/std::pow(GetRestA(),1.0/3.0);
+G4double G4PreCompoundNeutron::GetAlpha()
+{
+  //   return 0.76+2.2/std::pow(GetRestA(),1.0/3.0);
   return 0.76+2.2/ResidualAthrd;
-  }
+}
 //
 //------------
 //
-  G4double G4PreCompoundNeutron::GetBeta() 
-  {
- //   return (2.12/std::pow(GetRestA(),2.0/3.0)-0.05)*MeV/GetAlpha();
- return (2.12/(ResidualAthrd*ResidualAthrd)-0.05)*MeV/GetAlpha();
-  }
-//
-
-  
-
+G4double G4PreCompoundNeutron::GetBeta() 
+{
+  //   return (2.12/std::pow(GetRestA(),2.0/3.0)-0.05)*MeV/GetAlpha();
+  return (2.12/(ResidualAthrd*ResidualAthrd)-0.05)*MeV/GetAlpha();
+}
+//
 
 //********************* OPT=1,2 : Chatterjee's cross section ************************ 
@@ -156,5 +165,5 @@
   G4double b,ecut,cut,ecut2,geom,elab;
 
-//safety initialization
+  //safety initialization
   landa0=0;
   landa1=0;
@@ -172,7 +181,5 @@
   spill= 1.0e+18; 
 
-
-
-// PRECO xs for neutrons is choosen
+  // PRECO xs for neutrons is choosen
 
   p0 = -312.;
@@ -201,9 +208,7 @@
   xnulam = 1.;
   etest = 32.;
-//          ** etest is the energy above which the rxn cross section is
-//          ** compared with the geometrical limit and the max taken.
-//          ** xnulam here is a dummy value to be used later.
-
-
+  //          ** etest is the energy above which the rxn cross section is
+  //          ** compared with the geometrical limit and the max taken.
+  //          ** xnulam here is a dummy value to be used later.
 
   a = -2.*p*ec + landa - nu/ecsq;
